/*
 * Copyright (c) 2011 - 2016 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __SHORTCUT_DB_H__
#define __SHORTCUT_DB_H__


#include <sqlite3.h>
#include <shortcut.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct shortcut_info {
	char *package_name;
	char *icon;
	char *name;
	char *extra_key;
	char *extra_data;
} shortcut_info_s;

int shortcut_db_get_list(const char *package_name, GList **shortcut_list);


#ifdef __cplusplus
}
#endif

#endif				/* __SHORTCUT_DB_H__ */
